Subject: I-D Action: draft-becker-guthrie-noncomposite-hybrid-auth-00.txt

From: [email-masked]
Date: Tue, 22 Mar 2022 06:17:24 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Non-Composite Hybrid Authentication in PKIX and Applications to Internet Protocols
        Authors         : Alison Becker
                          Rebecca Guthrie
                          Michael Jenkins
	Filename        : draft-becker-guthrie-noncomposite-hybrid-auth-00.txt
	Pages           : 10
	Date            : 2022-03-22

Abstract:
   The advent of cryptographically relevant quantum computers (CRQC)
   will threaten the public key cryptography that is currently in use in
   today's secure internet protocol infrastructure.  To address this,
   organizations such as the National Institute of Standards and
   Technology (NIST) will standardize new post-quantum cryptography
   (PQC) that is resistant to attacks by both classical and quantum
   computers.  After PQC algorithms are standardized, the widespread
   implementation of this cryptography will be contingent upon adapting
   current protocols to accommodate PQC.  Hybrid solutions are one way
   to facilitate the transition between traditional and PQ algorithms:
   they use both a traditional and a PQ algorithm in order to perform
   encryption or authentication, with the guarantee that the given
   security property will still hold in the case that one algorithm
   fails.  Hybrid solutions can be constructed in many ways, and the
   cryptographic community has already begun to explore this space.
   This document introduces non-composite hybrid authentication, which
   requires updates at the protocol level and limits impact to the
   certificate-issuing infrastructure.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-becker-guthrie-noncomposite-hybrid-auth/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-becker-guthrie-noncomposite-hybrid-auth-00.html

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts